Subject: Re: Belated review of draft-urpalainen-simple-xcap-webdav

From: Lisa Dusseault <[email-masked]>
Date: Tue, 21 Nov 2006 08:18:13 -0800

Sorry, I got confused -- the ability to discover where principal  
resources can be found is an existing feature in ACL but it isn't  
done via OPTIONS, it's done via PROPFIND of a property called  
'principal-collection-set'.

http://rfc.net/rfc3744.html#s5.8.

Lisa

On Nov 20, 2006, at 11:06 PM, Jari Urpalainen wrote:

>>
>>     - You might want to add that the location for principals can  
>> be discovered by doing an OPTIONS request and asking for the  
>> principals namespace.  Is there an alternative (XCAP) way of  
>> discovering the location?
>>
> XCAP hasn't anything for this (just capability au). Are you  
> proposing adding some mime type for OPTIONS * ?  Certainly it would  
> help provisioning...